Subject: Re: [regression] TCP_MD5SIG on established sockets

From: Mathieu Desnoyers <[email-masked]>
Date: Tue, 30 Jun 2020 17:17:46 -0400 (EDT)

----- On Jun 30, 2020, at 4:56 PM, Eric Dumazet [email-masked] wrote:

> On Tue, Jun 30, 2020 at 1:44 PM David Miller <[email-masked]> wrote:
>>
>> From: Eric Dumazet <[email-masked]>
>> Date: Tue, 30 Jun 2020 13:39:27 -0700
>>
>> > The (C) & (B) case are certainly doable.
>> >
>> > A) case is more complex, I have no idea of breakages of various TCP
>> > stacks if a flow got SACK
>> > at some point (in 3WHS) but suddenly becomes Reno.
>>
>> I agree that C and B are the easiest to implement without having to
>> add complicated code to handle various negotiated TCP option
>> scenerios.
>>
>> It does seem to be that some entities do A, or did I misread your
>> behavioral analysis of various implementations Mathieu?
>>
>> Thanks.
> 
> Yes, another question about Mathieu cases is do determine the behavior
> of all these stacks vs :
> SACK option
> TCP TS option.

I will ask my customer's networking team to investigate these behaviors,
which will allow me to prepare a thorough reply to the questions raised
by Eric and David. I expect to have an answer within 2-3 weeks at most.

Thank you!

Mathieu

-- 
Mathieu Desnoyers
EfficiOS Inc.
http://www.efficios.com